diff --git a/llvm/test/MC/X86/x86-64-avx512f_vl.s b/llvm/test/MC/X86/x86-64-avx512f_vl.s
index 4899086cd41..d41f15ad83d 100644
--- a/llvm/test/MC/X86/x86-64-avx512f_vl.s
+++ b/llvm/test/MC/X86/x86-64-avx512f_vl.s
@@ -20991,114 +21952,490 @@ vaddpd  {rz-sae}, %zmm2, %zmm1, %zmm1
 // CHECK:  encoding: [0x62,0x21,0xff,0x08,0xe6,0xcc]
           vcvtpd2dq %xmm20, %xmm25
 
+// CHECK: vcvtpd2dq %xmm20, %xmm25
+// CHECK:  encoding: [0x62,0x21,0xff,0x08,0xe6,0xcc]
+          vcvtpd2dqx %xmm20, %xmm25
+
 // CHECK: vcvtpd2dq %xmm20, %xmm25 {%k2}
 // CHECK:  encoding: [0x62,0x21,0xff,0x0a,0xe6,0xcc]
           vcvtpd2dq %xmm20, %xmm25 {%k2}
 
+// CHECK: vcvtpd2dq %xmm20, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x21,0xff,0x0a,0xe6,0xcc]
+          vcvtpd2dqx %xmm20, %xmm25 {%k2}
+
 // CHECK: vcvtpd2dq %xmm20, %xmm25 {%k2} {z}
 // CHECK:  encoding: [0x62,0x21,0xff,0x8a,0xe6,0xcc]
           vcvtpd2dq %xmm20, %xmm25 {%k2} {z}
 
+// CHECK: vcvtpd2dq %xmm20, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x21,0xff,0x8a,0xe6,0xcc]
+          vcvtpd2dqx %xmm20, %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dqx (%rcx), %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x08,0xe6,0x09]
           vcvtpd2dqx (%rcx), %xmm25
 
+// CHECK: vcvtpd2dqx (%rcx), %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x0a,0xe6,0x09]
+          vcvtpd2dqx (%rcx), %xmm25 {%k2}
+
+// CHECK: vcvtpd2dqx (%rcx), %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x8a,0xe6,0x09]
+          vcvtpd2dqx (%rcx), %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dqx 291(%rax,%r14,8), %xmm25
 // CHECK:  encoding: [0x62,0x21,0xff,0x08,0xe6,0x8c,0xf0,0x23,0x01,0x00,0x00]
           vcvtpd2dqx 291(%rax,%r14,8), %xmm25
 
+// CHECK: vcvtpd2dqx 291(%rax,%r14,8), %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x21,0xff,0x0a,0xe6,0x8c,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqx 291(%rax,%r14,8), %xmm25 {%k2}
+
+// CHECK: vcvtpd2dqx 291(%rax,%r14,8), %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x21,0xff,0x8a,0xe6,0x8c,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqx 291(%rax,%r14,8), %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dq (%rcx){1to2}, %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x09]
           vcvtpd2dq (%rcx){1to2}, %xmm25
 
+// CHECK: vcvtpd2dq (%rcx){1to2}, %xmm25
+// CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x09]
+          vcvtpd2dqx (%rcx){1to2}, %xmm25
+
+// CHECK: vcvtpd2dq (%rcx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x09]
+          vcvtpd2dq (%rcx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq (%rcx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x09]
+          vcvtpd2dqx (%rcx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq (%rcx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x09]
+          vcvtpd2dq (%rcx){1to2}, %xmm25 {%k2} {z}
+
+// CHECK: vcvtpd2dq (%rcx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x09]
+          vcvtpd2dqx (%rcx){1to2}, %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dqx 2032(%rdx), %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x08,0xe6,0x4a,0x7f]
           vcvtpd2dqx 2032(%rdx), %xmm25
 
+// CHECK: vcvtpd2dqx 2032(%rdx), %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x0a,0xe6,0x4a,0x7f]
+          vcvtpd2dqx 2032(%rdx), %xmm25 {%k2}
+
+// CHECK: vcvtpd2dqx 2032(%rdx), %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x8a,0xe6,0x4a,0x7f]
+          vcvtpd2dqx 2032(%rdx), %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dqx 2048(%rdx), %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x08,0xe6,0x8a,0x00,0x08,0x00,0x00]
           vcvtpd2dqx 2048(%rdx), %xmm25
 
+// CHECK: vcvtpd2dqx 2048(%rdx), %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x0a,0xe6,0x8a,0x00,0x08,0x00,0x00]
+          vcvtpd2dqx 2048(%rdx), %xmm25 {%k2}
+
+// CHECK: vcvtpd2dqx 2048(%rdx), %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x8a,0xe6,0x8a,0x00,0x08,0x00,0x00]
+          vcvtpd2dqx 2048(%rdx), %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dqx -2048(%rdx), %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x08,0xe6,0x4a,0x80]
           vcvtpd2dqx -2048(%rdx), %xmm25
 
+// CHECK: vcvtpd2dqx -2048(%rdx), %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x0a,0xe6,0x4a,0x80]
+          vcvtpd2dqx -2048(%rdx), %xmm25 {%k2}
+
+// CHECK: vcvtpd2dqx -2048(%rdx), %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x8a,0xe6,0x4a,0x80]
+          vcvtpd2dqx -2048(%rdx), %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dqx -2064(%rdx), %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x08,0xe6,0x8a,0xf0,0xf7,0xff,0xff]
           vcvtpd2dqx -2064(%rdx), %xmm25
 
+// CHECK: vcvtpd2dqx -2064(%rdx), %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x0a,0xe6,0x8a,0xf0,0xf7,0xff,0xff]
+          vcvtpd2dqx -2064(%rdx), %xmm25 {%k2}
+
+// CHECK: vcvtpd2dqx -2064(%rdx), %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x8a,0xe6,0x8a,0xf0,0xf7,0xff,0xff]
+          vcvtpd2dqx -2064(%rdx), %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dq 1016(%rdx){1to2}, %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x4a,0x7f]
           vcvtpd2dq 1016(%rdx){1to2}, %xmm25
 
+// CHECK: vcvtpd2dq 1016(%rdx){1to2}, %xmm25
+// CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x4a,0x7f]
+          vcvtpd2dqx 1016(%rdx){1to2}, %xmm25
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x4a,0x7f]
+          vcvtpd2dq 1016(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x4a,0x7f]
+          vcvtpd2dqx 1016(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x4a,0x7f]
+          vcvtpd2dq 1016(%rdx){1to2}, %xmm25 {%k2} {z}
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x4a,0x7f]
+          vcvtpd2dqx 1016(%rdx){1to2}, %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dq 1024(%rdx){1to2}, %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x8a,0x00,0x04,0x00,0x00]
           vcvtpd2dq 1024(%rdx){1to2}, %xmm25
 
+// CHECK: vcvtpd2dq 1024(%rdx){1to2}, %xmm25
+// CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x8a,0x00,0x04,0x00,0x00]
+          vcvtpd2dqx 1024(%rdx){1to2}, %xmm25
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x8a,0x00,0x04,0x00,0x00]
+          vcvtpd2dq 1024(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x8a,0x00,0x04,0x00,0x00]
+          vcvtpd2dqx 1024(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x8a,0x00,0x04,0x00,0x00]
+          vcvtpd2dq 1024(%rdx){1to2}, %xmm25 {%k2} {z}
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x8a,0x00,0x04,0x00,0x00]
+          vcvtpd2dqx 1024(%rdx){1to2}, %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dq -1024(%rdx){1to2}, %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x4a,0x80]
           vcvtpd2dq -1024(%rdx){1to2}, %xmm25
 
+// CHECK: vcvtpd2dq -1024(%rdx){1to2}, %xmm25
+// CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x4a,0x80]
+          vcvtpd2dqx -1024(%rdx){1to2}, %xmm25
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x4a,0x80]
+          vcvtpd2dq -1024(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x4a,0x80]
+          vcvtpd2dqx -1024(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x4a,0x80]
+          vcvtpd2dq -1024(%rdx){1to2}, %xmm25 {%k2} {z}
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x4a,0x80]
+          vcvtpd2dqx -1024(%rdx){1to2}, %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dq -1032(%rdx){1to2}, %xmm25
 // CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x8a,0xf8,0xfb,0xff,0xff]
           vcvtpd2dq -1032(%rdx){1to2}, %xmm25
 
+// CHECK: vcvtpd2dq -1032(%rdx){1to2}, %xmm25
+// CHECK:  encoding: [0x62,0x61,0xff,0x18,0xe6,0x8a,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dqx -1032(%rdx){1to2}, %xmm25
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x8a,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dq -1032(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to2}, %xmm25 {%k2}
+// CHECK:  encoding: [0x62,0x61,0xff,0x1a,0xe6,0x8a,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dqx -1032(%rdx){1to2}, %xmm25 {%k2}
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x8a,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dq -1032(%rdx){1to2}, %xmm25 {%k2} {z}
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to2}, %xmm25 {%k2} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0x9a,0xe6,0x8a,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dqx -1032(%rdx){1to2}, %xmm25 {%k2} {z}
+
 // CHECK: vcvtpd2dq %ymm28, %xmm30
 // CHECK:  encoding: [0x62,0x01,0xff,0x28,0xe6,0xf4]
           vcvtpd2dq %ymm28, %xmm30
 
+// CHECK: vcvtpd2dq %ymm28, %xmm30
+// CHECK:  encoding: [0x62,0x01,0xff,0x28,0xe6,0xf4]
+          vcvtpd2dqy %ymm28, %xmm30
+
 // CHECK: vcvtpd2dq %ymm28, %xmm30 {%k3}
 // CHECK:  encoding: [0x62,0x01,0xff,0x2b,0xe6,0xf4]
           vcvtpd2dq %ymm28, %xmm30 {%k3}
 
+// CHECK: vcvtpd2dq %ymm28, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x01,0xff,0x2b,0xe6,0xf4]
+          vcvtpd2dqy %ymm28, %xmm30 {%k3}
+
 // CHECK: vcvtpd2dq %ymm28, %xmm30 {%k3} {z}
 // CHECK:  encoding: [0x62,0x01,0xff,0xab,0xe6,0xf4]
           vcvtpd2dq %ymm28, %xmm30 {%k3} {z}
 
+// CHECK: vcvtpd2dq %ymm28, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x01,0xff,0xab,0xe6,0xf4]
+          vcvtpd2dqy %ymm28, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dqy (%rcx), %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x28,0xe6,0x31]
+          vcvtpd2dqy (%rcx), %xmm30
+
+// CHECK: vcvtpd2dqy (%rcx), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x2b,0xe6,0x31]
+          vcvtpd2dqy (%rcx), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy (%rcx), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xab,0xe6,0x31]
+          vcvtpd2dqy (%rcx), %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dqy 291(%rax,%r14,8), %xmm30
+// CHECK:  encoding: [0x62,0x21,0xff,0x28,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqy 291(%rax,%r14,8), %xmm30
+
+// CHECK: vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x21,0xff,0x2b,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x21,0xff,0xab,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x31]
+          vcvtpd2dq (%rcx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x31]
+          vcvtpd2dqy (%rcx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x31]
+          vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x31]
+          vcvtpd2dqy (%rcx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x31]
+          vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x31]
+          vcvtpd2dqy (%rcx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq %ymm28, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x01,0xff,0xab,0xe6,0xf4]
+          vcvtpd2dq %ymm28, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq %ymm28, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x01,0xff,0xab,0xe6,0xf4]
+          vcvtpd2dqy %ymm28, %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dqy (%rcx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x28,0xe6,0x31]
           vcvtpd2dqy (%rcx), %xmm30
 
+// CHECK: vcvtpd2dqy (%rcx), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x2b,0xe6,0x31]
+          vcvtpd2dqy (%rcx), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy (%rcx), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xab,0xe6,0x31]
+          vcvtpd2dqy (%rcx), %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dqy 291(%rax,%r14,8), %xmm30
 // CHECK:  encoding: [0x62,0x21,0xff,0x28,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
           vcvtpd2dqy 291(%rax,%r14,8), %xmm30
 
+// CHECK: vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x21,0xff,0x2b,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x21,0xff,0xab,0xe6,0xb4,0xf0,0x23,0x01,0x00,0x00]
+          vcvtpd2dqy 291(%rax,%r14,8), %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x31]
           vcvtpd2dq (%rcx){1to4}, %xmm30
 
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x31]
+          vcvtpd2dqy (%rcx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x31]
+          vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x31]
+          vcvtpd2dqy (%rcx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x31]
+          vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq (%rcx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x31]
+          vcvtpd2dqy (%rcx){1to4}, %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dqy 4064(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x28,0xe6,0x72,0x7f]
           vcvtpd2dqy 4064(%rdx), %xmm30
 
+// CHECK: vcvtpd2dqy 4064(%rdx), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x2b,0xe6,0x72,0x7f]
+          vcvtpd2dqy 4064(%rdx), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy 4064(%rdx), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xab,0xe6,0x72,0x7f]
+          vcvtpd2dqy 4064(%rdx), %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dqy 4096(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x28,0xe6,0xb2,0x00,0x10,0x00,0x00]
           vcvtpd2dqy 4096(%rdx), %xmm30
 
+// CHECK: vcvtpd2dqy 4096(%rdx), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x2b,0xe6,0xb2,0x00,0x10,0x00,0x00]
+          vcvtpd2dqy 4096(%rdx), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy 4096(%rdx), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xab,0xe6,0xb2,0x00,0x10,0x00,0x00]
+          vcvtpd2dqy 4096(%rdx), %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dqy -4096(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x28,0xe6,0x72,0x80]
           vcvtpd2dqy -4096(%rdx), %xmm30
 
+// CHECK: vcvtpd2dqy -4096(%rdx), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x2b,0xe6,0x72,0x80]
+          vcvtpd2dqy -4096(%rdx), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy -4096(%rdx), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xab,0xe6,0x72,0x80]
+          vcvtpd2dqy -4096(%rdx), %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dqy -4128(%rdx), %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x28,0xe6,0xb2,0xe0,0xef,0xff,0xff]
           vcvtpd2dqy -4128(%rdx), %xmm30
 
+// CHECK: vcvtpd2dqy -4128(%rdx), %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x2b,0xe6,0xb2,0xe0,0xef,0xff,0xff]
+          vcvtpd2dqy -4128(%rdx), %xmm30 {%k3}
+
+// CHECK: vcvtpd2dqy -4128(%rdx), %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xab,0xe6,0xb2,0xe0,0xef,0xff,0xff]
+          vcvtpd2dqy -4128(%rdx), %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dq 1016(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x72,0x7f]
           vcvtpd2dq 1016(%rdx){1to4}, %xmm30
 
+// CHECK: vcvtpd2dq 1016(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x72,0x7f]
+          vcvtpd2dqy 1016(%rdx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x72,0x7f]
+          vcvtpd2dq 1016(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x72,0x7f]
+          vcvtpd2dqy 1016(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x72,0x7f]
+          vcvtpd2dq 1016(%rdx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq 1016(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x72,0x7f]
+          vcvtpd2dqy 1016(%rdx){1to4}, %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dq 1024(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0xb2,0x00,0x04,0x00,0x00]
           vcvtpd2dq 1024(%rdx){1to4}, %xmm30
 
+// CHECK: vcvtpd2dq 1024(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvtpd2dqy 1024(%rdx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvtpd2dq 1024(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvtpd2dqy 1024(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvtpd2dq 1024(%rdx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq 1024(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0xb2,0x00,0x04,0x00,0x00]
+          vcvtpd2dqy 1024(%rdx){1to4}, %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dq -1024(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x72,0x80]
           vcvtpd2dq -1024(%rdx){1to4}, %xmm30
 
+// CHECK: vcvtpd2dq -1024(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0x72,0x80]
+          vcvtpd2dqy -1024(%rdx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x72,0x80]
+          vcvtpd2dq -1024(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0x72,0x80]
+          vcvtpd2dqy -1024(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x72,0x80]
+          vcvtpd2dq -1024(%rdx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq -1024(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0x72,0x80]
+          vcvtpd2dqy -1024(%rdx){1to4}, %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2dq -1032(%rdx){1to4}, %xmm30
 // CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
           vcvtpd2dq -1032(%rdx){1to4}, %xmm30
 
+// CHECK: vcvtpd2dq -1032(%rdx){1to4}, %xmm30
+// CHECK:  encoding: [0x62,0x61,0xff,0x38,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dqy -1032(%rdx){1to4}, %xmm30
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dq -1032(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to4}, %xmm30 {%k3}
+// CHECK:  encoding: [0x62,0x61,0xff,0x3b,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dqy -1032(%rdx){1to4}, %xmm30 {%k3}
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dq -1032(%rdx){1to4}, %xmm30 {%k3} {z}
+
+// CHECK: vcvtpd2dq -1032(%rdx){1to4}, %xmm30 {%k3} {z}
+// CHECK:  encoding: [0x62,0x61,0xff,0xbb,0xe6,0xb2,0xf8,0xfb,0xff,0xff]
+          vcvtpd2dqy -1032(%rdx){1to4}, %xmm30 {%k3} {z}
+
 // CHECK: vcvtpd2ps %xmm27, %xmm27
 // CHECK:  encoding: [0x62,0x01,0xfd,0x08,0x5a,0xdb]
           vcvtpd2ps %xmm27, %xmm27
